%define gtk3binaryver %(if $([ -x %{_bindir}/pkg-config ] && pkg-config --exists gtk+-3.0); then pkg-config --variable=gtk_binary_version gtk+-3.0; else echo 0; fi)

%define url_ver	%(echo %{version} | cut -d. -f1,2)

%define engine_name unico

%define libname	%mklibname %{name}

%define reldate	20140109
%define rev	152
%define rel	5

Name:           gtk-unico-engine
Version:        1.0.3
Release:        %mkrel -c %{reldate}bzr%{rev} %{rel}
Summary:        Unico Gtk+ theming engine
Group:          Graphical desktop/GNOME
License:        LGPLv3
URL:            https://launchpad.net/unico/
#Source0:        http://launchpad.net/unico/%{url_ver}/%{version}/+download/%{engine_name}-%{version}.tar.gz
# $ bzr export -r %%{revision} %%{engine_name}-%%{version}-bzr%%{rev}.tar.xz lp:unico
Source0:	%{engine_name}-%{version}-bzr%{rev}.tar.xz
BuildRequires:  pkgconfig(gtk+-3.0)

%description
Unico is a Gtk+ engine that aims to be the more complete yet powerful theming
engine for Gtk+ 3.0 and newer. It’s the first Gtk+ engine written with Gtk+
style context APIs in mind, using CSS as first class citizen.

%package -n %{libname}
Summary:	Unico Gtk+ theming engine
Group:		Graphical desktop/GNOME
Provides:	%{name} = %{version}-%{release}
Obsoletes:	%{name} < 1.0.2-3

%description -n %{libname}
Unico is a Gtk+ engine that aims to be the more complete yet powerful theming
engine for Gtk+ 3.0 and newer. It’s the first Gtk+ engine written with Gtk+
style context APIs in mind, using CSS as first class citizen.

%prep
%setup -qn %{engine_name}-%{version}-bzr%{rev}

%build
autoreconf -vfi
%configure2_5x \
	--disable-static

%make V=1

%install
%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%doc AUTHORS NEWS
%{_libdir}/gtk-3.0/%{gtk3binaryver}/theming-engines/lib%{engine_name}.so


%changelog
* Thu Feb 04 2016 umeabot <umeabot> 1.0.3-0.20140109bzr152.5.mga6
+ Revision: 935634
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.3-0.20140109bzr152.4.mga5
+ Revision: 749239
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.0.3-0.20140109bzr152.3.mga5
+ Revision: 726454
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.0.3-0.20140109bzr152.2.mga5
+ Revision: 680007
- Mageia 5 Mass Rebuild

* Fri Jun 20 2014 wally <wally> 1.0.3-0.20140109bzr152.1.mga5
+ Revision: 638192
- update to latest snapshot (follow Fedora)

* Sat Oct 19 2013 umeabot <umeabot> 1.0.2-4.mga4
+ Revision: 528474
- Mageia 4 Mass Rebuild

* Thu Jun 20 2013 wally <wally> 1.0.2-3.mga4
+ Revision: 445213
- unify pkg name with other theming engines

* Sat Jan 12 2013 umeabot <umeabot> 1.0.2-2.mga3
+ Revision: 352861
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jul 01 2012 wally <wally> 1.0.2-1.mga3
+ Revision: 266078
- new version 1.0.2
- clean .spec a bit
- import from Mdv


* Fri Mar 02 2012 Matthew Dawkins <mattydaw@mandriva.org> 1.0.1-1
+ Revision: 781818
- cleaned up spec for mdv
- imported package gtk-unico-engine


* Mon Oct 03 2011 Mohamed El Morabity <melmorabity@fedoraproject.org> - 1.0.1-2
- Remove useless IM scriptlets

* Thu Sep 29 2011 Mohamed El Morabity <melmorabity@fedoraproject.org> - 1.0.1-1
- Initial RPM release
